Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZLinkType Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| get ( $id=-1)
& | getAll ()
| delete ()
| id ()
| name ()
| description ()
| setName ( $value)
| setDescription ( $value)
| attributes ()

## Public Attributes
| $ID
| $Name

## Detailed Description

Definition at line 32 of file ezlinktype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZLinkType::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZLinkType object. Retrieves the data from the database if a valid id is given as an argument.

Definition at line 38 of file ezlinktype.php.

References $id, and $ID.

## Member Function Documentation

## ◆ attributes()

eZLinkType::attributes | ( |  | ) |

Returns an array of eZLinkAttribute objects which are associated with the current link type.

Definition at line 188 of file ezlinktype.php.

References $db, $i, and eZDB\globalDatabase().

Referenced by delete().

## ◆ delete()

eZLinkType::delete | ( |  | ) |

Deletes a option from the database.

Definition at line 129 of file ezlinktype.php.

References $db, attributes(), and eZDB\globalDatabase().

## ◆ description()

eZLinkType::description | ( |  | ) |

Returns the option description.

Definition at line 163 of file ezlinktype.php.

References $Description.

## ◆ get()

eZLinkType::get | ( |  | $id = `-1` | ) |

Fetches the link type object values from the database.

Definition at line 82 of file ezlinktype.php.

References $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZLinkType::getAll | ( |  | ) |

Retrieves every option from the database.

Definition at line 109 of file ezlinktype.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ id()

eZLinkType::id | ( |  | ) |

Returns the object ID to the option. This is the unique ID stored in the database.

Definition at line 147 of file ezlinktype.php.

References $ID.

## ◆ name()

eZLinkType::name | ( |  | ) |

Returns the name of the option.

Definition at line 155 of file ezlinktype.php.

References $Name.

## ◆ setDescription()

eZLinkType::setDescription | ( |  | $value | ) |

Sets the description of the option.

Definition at line 179 of file ezlinktype.php.

## ◆ setName()

eZLinkType::setName | ( |  | $value | ) |

Sets the name of the option.

Definition at line 171 of file ezlinktype.php.

References Name.

## ◆ store()

eZLinkType::store | ( |  | ) |

Stores a eZLinkType object to the database.

Definition at line 50 of file ezlinktype.php.

References $db, $res, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $ID

eZLinkType::$ID

Definition at line 207 of file ezlinktype.php.

Referenced by __construct(), and id().

## ◆ $Name

eZLinkType::$Name

Definition at line 208 of file ezlinktype.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezlinktype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.